Bug 502918 - Review Request: eggdbus - Experimental D-Bus bindings for GObject
Review Request: eggdbus - Experimental D-Bus bindings for GObject
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 15:14 EDT by David Zeuthen
Modified: 2009-06-11 01:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 01:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
new spec file (1.34 KB, application/octet-stream)
2009-05-28 09:31 EDT, Matthias Clasen
no flags Details
new spec file (1.42 KB, text/plain)
2009-05-28 10:26 EDT, Matthias Clasen
no flags Details

  None (edit)
Description David Zeuthen 2009-05-27 15:14:40 EDT
Spec URL: http://people.freedesktop.org/~david/eggdbus.spec
SRPM URL: http://people.freedesktop.org/~david/eggdbus-0.4-1.src.rpm
Description: Experimental D-Bus bindings for GObject
Comment 1 Yanko Kaneti 2009-05-27 17:11:01 EDT
Missing
BuildRequires: gtk-doc

-%{_datadir}/man/*
+%{_datadir}/man/man1/*

perhaps
Group: Development/Libraries

for lack of anything better 
URL: http://cgit.freedesktop.org/~david/eggdbus

-make
+make %{?_smp_mflags}
Comment 2 Yanko Kaneti 2009-05-27 17:16:08 EDT
and one more thing
-%configure --enable-gtk-doc
+%configure --enable-gtk-doc --disable-static

which spares few cycles and allows removing
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
Comment 3 Matthias Clasen 2009-05-28 01:08:33 EDT
Yeah, I've noticed the same things. Please provide a spec that fixes those, then I'll run down the checklist.
Comment 4 Matthias Clasen 2009-05-28 09:31:02 EDT
Created attachment 345761 [details]
new spec file

Here is a new spec file that I am going to base my review on.
Comment 5 Matthias Clasen 2009-05-28 09:33:33 EDT
With that spec file, packages build fine in mock, and rpmlint reports:

[mclasen@planemask rpmbuild]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 6 Matthias Clasen 2009-05-28 10:12:21 EDT
doing the checklist:

rpmlint: ok, see above
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec legible: ok
upstream sources: ok
buildable: ok
excludearch: n/a
build deps: ok
locales: n/a
shared libs: ok
relocatable: n/a
directory ownership: -devel needs to depend on gtk-doc for /usr/share/gtk-doc
duplicate files: ok
permissions: ok
%clean: ok
macro use: ok
content: ok
doc subpackage: ok
doc content: ok
headers: ok
static libs: n/a
pc files: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: n/a
file ownership: -devel must not include /usr/share/gtk-doc/html, it should just include /usr/share/gtk-doc/html/eggdbus
%install: ok
utf8 filenames: ok
Comment 7 Matthias Clasen 2009-05-28 10:14:42 EDT
Also, I just noticed that the package installs two documentation trees:

/usr/share/gtk-doc/html/eggdbus
/usr/share/gtk-doc/html/tests

the second name looks awfully general. That should probably be fixed, or that part of the docs nuked.
Comment 8 Matthias Clasen 2009-05-28 10:26:13 EDT
Created attachment 345768 [details]
new spec file

This spec file addresses the remaining concerns.

If you are ok with the changes made, this can be approved.
Comment 9 David Zeuthen 2009-05-29 13:13:00 EDT
Looks good to me. Thanks.
Comment 10 Matthias Clasen 2009-05-29 13:21:28 EDT
ok, approved.
Comment 11 David Zeuthen 2009-05-29 13:29:09 EDT
New Package CVS Request
=======================
Package Name: eggdbus
Short Description: Experimenal D-Bus bindings for GObject
Owners: davidz
Branches: 
InitialCC:
Comment 12 Jason Tibbitts 2009-05-29 14:20:43 EDT
CVS done.
Comment 13 Matthias Clasen 2009-06-11 01:39:34 EDT
packages have been built

Note You need to log in before you can comment on or make changes to this bug.